Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.enhancer
Class PojoVisitor

    java.lang.Object
      org.objectweb.asm.ClassAdapter
          org.apache.cayenne.enhancer.PojoVisitor

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

    public abstract class PojoVisitor

extends org.objectweb.asm.ClassAdapter

Enhances classes passed through the visitor, ensuring that the resulting class implements `Persistent` interface as well as supports lazy faulting.

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary
`protected EnhancementHelper` | `helper`

Fields inherited from class org.objectweb.asm.ClassAdapter
`cv`

Constructor Summary
`PojoVisitor(org.objectweb.asm.ClassVisitor visitor)`

Method Summary
`protected abstract Collection<String>` | `getLazilyFaultedProperties()`
`void` | `visit(int version, int access, String name, String signature, String superName, String[] interfaces)` Handles injection of additional fields and Persistent interface properties.
`void` | `visitEnd()`

Methods inherited from class org.objectweb.asm.ClassAdapter
`visitAnnotation, visitAttribute, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### helper

    protected EnhancementHelper helper

Constructor Detail

### PojoVisitor

    public PojoVisitor(org.objectweb.asm.ClassVisitor visitor)

Method Detail

### visit

    public void visit(int version,
                      int access,
                      String name,
                      String signature,
                      String superName,
                      String[] interfaces)

  Handles injection of additional fields and Persistent interface properties.

  Specified by:
    `visit` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visit` in class `org.objectweb.asm.ClassAdapter`

### visitEnd

    public void visitEnd()

  Specified by:
    `visitEnd` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitEnd` in class `org.objectweb.asm.ClassAdapter`

### getLazilyFaultedProperties

    protected abstract Collection<String> getLazilyFaultedProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.